Page MenuHomePhabricator

Dash: Allow settings/filters to be saved for each user
Open, NormalPublic0 Story Points

Description

In the Dash, you can fiddle with the filters for individual widgets. On refresh, those filters don’t save, which makes the value of the widgets less than what we’d like.

The solution should also address data persistence for the eventuality that a user can configure their Dash individually.

Requirements:

A user can set individual filters for a widget that persist after refresh
A user can set filters for a widget that persist after login/logout
Once filters are changed, the widget should remember the new filters and not the old, but how to designate “saving” vs. “tinkering”
Time ranges must include relative dates (last X hours/days/months/years) and not only absolute times/dates

Later:

A user can configure which widgets appear on their dash
A user can have multiple boards with different configurations
The user should not have to authorize “get the data” on every login
A user can zoom around and then decide to save the view
Naming and sharing charts with other viewers

Event Timeline

atgo created this task.Jan 8 2015, 12:29 AM
atgo assigned this task to pizzzacat.
atgo reassigned this task from pizzzacat to Ejegg.
atgo raised the priority of this task from to Normal.
atgo updated the task description. (Show Details)
atgo edited a custom field.
atgo set Security to None.
atgo moved this task from In Analysis to In Development on the § Fundraising Sprint Abba board.
atgo added subscribers: Aklapper, atgo.

Change 183379 had a related patch set uploaded (by Ejegg):
Persistence schema

https://gerrit.wikimedia.org/r/183379

Patch-For-Review

Change 183381 had a related patch set uploaded (by Ejegg):
Create local user records on login

https://gerrit.wikimedia.org/r/183381

Patch-For-Review

Change 183380 had a related patch set uploaded (by Ejegg):
Add mysql-promise to package.json and node_modules

https://gerrit.wikimedia.org/r/183380

Patch-For-Review

Change 184539 had a related patch set uploaded (by Ejegg):
WIP crud for boards and widget instances

https://gerrit.wikimedia.org/r/184539

Patch-For-Review

Change 183379 merged by jenkins-bot:
Persistence schema

https://gerrit.wikimedia.org/r/183379

Change 183380 merged by jenkins-bot:
Add mysql-promise to package.json and node_modules

https://gerrit.wikimedia.org/r/183380

Change 183381 merged by jenkins-bot:
Create local user records on login

https://gerrit.wikimedia.org/r/183381

Change 184833 had a related patch set uploaded (by Ejegg):
CRUD for boards and widgets

https://gerrit.wikimedia.org/r/184833

Patch-For-Review

Change 184539 abandoned by Ejegg:
WIP crud for boards and widget instances

Reason:
Uploaded another version

https://gerrit.wikimedia.org/r/184539

Change 184833 merged by jenkins-bot:
CRUD for boards and widgets

https://gerrit.wikimedia.org/r/184833

Ejegg reassigned this task from Ejegg to pizzzacat.Jan 14 2015, 11:22 PM

Change 185197 had a related patch set uploaded (by Ejegg):
Add route listing all available widget instances

https://gerrit.wikimedia.org/r/185197

Patch-For-Review

Change 185197 merged by jenkins-bot:
Add route listing all available widget instances

https://gerrit.wikimedia.org/r/185197

atgo moved this task from Backlog to Up Next on the Fundraising Dash board.Jan 28 2015, 10:33 PM
atgo edited a custom field.Jan 28 2015, 11:23 PM
atgo moved this task from Up Next to Backlog on the Fundraising Dash board.May 4 2015, 8:54 PM
pizzzacat removed pizzzacat as the assignee of this task.Aug 4 2015, 10:32 PM
Cholof13 closed this task as Resolved.Apr 2 2017, 3:44 PM
Cholof13 claimed this task.
Cholof13 raised the priority of this task from Normal to High.
Cholof13 edited subscribers, added: Cholof13; removed: gerritbot, Aklapper, Ejegg.
Cholof13 renamed this task from Dash: Allow settings/filters to be saved for each user to Owner.Apr 2 2017, 3:47 PM
Cholof13 updated the task description. (Show Details)
Cholof13 updated the task description. (Show Details)Apr 2 2017, 3:53 PM
Cholof13 reopened this task as Open.Apr 2 2017, 3:57 PM
Reedy renamed this task from Owner to Dash: Allow settings/filters to be saved for each user.Apr 2 2017, 4:30 PM
Reedy removed Cholof13 as the assignee of this task.
Reedy lowered the priority of this task from High to Normal.
Reedy updated the task description. (Show Details)
Reedy edited subscribers, added: Aklapper, Ejegg; removed: Cholof13.